{literal}
<script type="text/javascript">

    //global var ; need to not have to initialize them every time a value is changed
    var objlang; 
    var objnames = new Array('imenbartit', 'igentexuser', 'igentexguest', 'inotpubrestex');
    var objinput = new Array();   //input text from form => objinput[name]
    var objhidden = new Array();  //input hidden from form => objhidden[name][lang]


  function change_color(inputzone, colorsquare)
  {
    var objinp = document.getElementById(inputzone);
    var objcol = document.getElementById(colorsquare);
    var colvalue = objinp.value;

    while(colvalue.length<6) { colvalue+='0'; }

    objcol.style.background = '#'+colvalue;
  }

  function change_width(inputzone, widthbar)
  {
    var objinp = document.getElementById(inputzone);
    var objbar = document.getElementById(widthbar);
    objbar.style.width = objinp.value+'px';
  }

  function init()
  {
    objlang = document.getElementById('islang');
    for(i=0;i<objnames.length;i++)
    {
      objinput[i] = document.getElementById(objnames[i]);
      objhidden[i] = new Array();
      for(j=0;j<objlang.options.length;j++)
      {
        objhidden[i][j] = document.getElementById(objnames[i]+'_'+objlang.options[j].value);
      }
    }
  }

  function change_lang()
  {
    for(i=0;i<objnames.length;i++)
    {
      objinput[i].value = objhidden[i][objlang.options.selectedIndex].value;
    }
  }

  function apply_changes(input_id)
  {
    var obj=document.getElementById(input_id);
    objhidden[objnames.indexOf(input_id)][objlang.options.selectedIndex].value = obj.value;

  }

</script>
{/literal}


<form method="post" action="" class="general">

  <fieldset >
    <legend>{'mypolls_poll_display_config'|@translate}</legend>
    <table class="formtable"  >
      <tr>
        <td>{'mypolls_config_color_bars'|@translate}</td>
        <td>
          <input type="text" name="f_mypolls_color_bars" size="6"
                 value="{$datas.MYPOLLS_CFG_COLOR_BARS}" maxlength="6" id="idz1"
                 onkeyup="change_color('idz1', 'ids1');change_color('idz1', 'ids4')"/>
        </td>
        <td>
          <div id="ids1" style="display:block;width:15px;height:15px;border:0px;background-color:#{$datas.MYPOLLS_CFG_COLOR_BARS};"/>
        </td>
      </tr>

      <tr>
        <td>{'mypolls_config_maxbarwidth'|@translate}</td>
        <td>
          <input type="text" name="f_mypolls_maxbarwidth" value="{$datas.MYPOLLS_CFG_MAXBARWIDTH}"
                 maxlength="4" size="6" id="idz4" onkeyup="change_width('idz4', 'ids4')"/>
        </td>
        <td>
          <div id="ids4" style="display:block;width:{$datas.MYPOLLS_CFG_MAXBARWIDTH}px;height:8px;top:3px;border:0px;background-color:#{$datas.MYPOLLS_CFG_COLOR_BARS}"/>
        </td>
      </tr>

      <tr>
        <td>{'mypolls_config_display_type'|@translate}</td>
        <td colspan="2">
          <select name="f_mypolls_display_type_default">
            {html_options values=$mypolls_display_list_values output=$mypolls_display_list_labels selected=$mypolls_display_selected}
          </select>
        </td>
      </tr>

    </table>
  </fieldset>

  <fieldset>
    <legend>{'mypolls_integration_config'|@translate}</legend>

    {if isset($mypolls_language_list) and count($mypolls_language_list)}
      {foreach from=$mypolls_language_list key=name item=mypolls_language_row}
        <input type="hidden" name="f_mypolls_menubar_title_{$mypolls_language_row.LANG}"
                id="imenbartit_{$mypolls_language_row.LANG}" value="{$mypolls_language_row.MENUBARTIT}">
        <input type="hidden" name="f_mypolls_generic_text_users_{$mypolls_language_row.LANG}"
                id="igentexuser_{$mypolls_language_row.LANG}" value="{$mypolls_language_row.GENTEXUSER}">
        <input type="hidden" name="f_mypolls_generic_text_guests_{$mypolls_language_row.LANG}"
                id="igentexguest_{$mypolls_language_row.LANG}" value="{$mypolls_language_row.GENTEXGUEST}">
        <input type="hidden" name="f_mypolls_not_public_results_{$mypolls_language_row.LANG}"
                id="inotpubrestex_{$mypolls_language_row.LANG}" value="{$mypolls_language_row.NOTPUBRESTEX}">
      {/foreach}
    {/if}

    <table class="formtable">
      <tr>
        <td>{'mypolls_config_language'|@translate}</td>
        <td>
          <select onchange="change_lang();" id="islang">
            {html_options values=$mypolls_language_list_values output=$mypolls_language_list_labels selected=$mypolls_language_selected}
          </select>
        </td>
      </tr>

      <tr>
        <td>{'mypolls_config_menubar_title'|@translate}</td>
        <td><input type="text" id="imenbartit" value="" maxlength="20" onkeyup="apply_changes('imenbartit');" /></td>
      </tr>

      <tr>
        <td>{'mypolls_config_generic_text_users'|@translate}</td>
        <td><input type="text" id="igentexuser" value="" maxlength="250" size="60" onkeyup="apply_changes('igentexuser');" /></td>
      </tr>

      <tr>
        <td>{'mypolls_config_generic_text_guests'|@translate}</td>
        <td><input type="text" id="igentexguest" value="" maxlength="250" size="60" onkeyup="apply_changes('igentexguest');" /></td>
      </tr>

      <tr>
        <td>{'mypolls_config_not_public_result_text'|@translate}</td>
        <td><textarea id="inotpubrestex" rows="5" cols="60" onkeyup="apply_changes('inotpubrestex');" /></textarea>
      </tr>
    </table>
  </fieldset>

  <fieldset>
    <legend>{'mypolls_general_config'|@translate}</legend>
    <table class="formtable"  >
      <tr>
        <td>{'mypolls_config_admincolor'|@translate}</td>
        <td><input type="text" name="f_mypolls_admincolor" value="{$datas.MYPOLLS_CFG_ADMINCOLOR}"
                    maxlength="6" size="6" id="idz2" onkeyup="change_color('idz2', 'ids2')"/>
        </td>
        <td>
          <div id="ids2" style="display:block;width:15px;height:15px;border:0px;background-color:#{$datas.MYPOLLS_CFG_ADMINCOLOR}"/>
        </td>
      </tr>

      <tr>
        <td>{'mypolls_config_mouseovercolor'|@translate}</td>
        <td><input type="text" name="f_mypolls_mouseovercolor" value="{$datas.MYPOLLS_CFG_MOUSEOVERCOLOR}"
                  maxlength="6" size="6" id="idz5" onkeyup="change_color('idz5', 'ids5')"/>
        </td>

        <td>
          <div id="ids5" style="display:block;width:15px;height:15px;border:0px;background-color:#{$datas.MYPOLLS_CFG_MOUSEOVERCOLOR}"/>
        </td>
      </tr>

      <tr>
        <td>{'mypolls_config_nbuser_per_page'|@translate}</td>
        <td><input type="text" name="f_mypolls_nbuser_per_page" value="{$datas.MYPOLLS_CFG_NBUSER_PER_PAGE}" maxlength="4" size="6"/></td>
      </tr>

      <tr>
        <td>{'mypolls_config_nbcomment_per_page'|@translate}</td>
        <td><input type="text" name="f_mypolls_nbcomment_per_page" value="{$datas.MYPOLLS_CFG_NBCOMMENT_PER_PAGE}" maxlength="4" size="6"/></td>
      </tr>
    </table>
  </fieldset>


  <p>
    <input type="submit" value="{'mypolls_do_save'|@translate}" name="submit_save_config"/>
  </p>
</form>

<script type="text/javascript">
  init();
  change_lang();
</script>
