<!-- manage poll's translations -->

{literal}
<script type="text/javascript">

  function enabled_submit()
  {
    var objquestion = document.getElementById('ititle');
    var objbutton = document.getElementById('isubmit1');

    if(objquestion.value.length>0)
    { objbutton.disabled=false; } else { objbutton.disabled=true; }
  }


  function change_lang()
  {
    var objtolang = document.getElementById('ilangto');
    var objslang = document.getElementById('islangto');
    objtolang.value = objslang.value;
  }

  function do_translation(input_id)
  {
    var inputid = document.getElementById(input_id);

    google_translate(inputid.value,document.getElementById('ilangfrom').value.substr(0,2), document.getElementById('ilangto').value.substr(0,2), inputid, 'value');
  }
</script>
{/literal}

<div>
  <div style="text-align:right;margin:0px;margin-right:8px;float:right;{$datas.MYPOLLS_ICN_HIDDEN}">
    <a href="{$datas.MYPOLLS_LNK_VIEW}" title="{'mypolls_list_lnk_view'|@translate}">
    <img src="{$themeconf.admin_icon_dir}/category_jump-to.png" class="button" alt="{'mypolls_list_lnk_view'|@translate}"/></a>
    <a href="{$datas.MYPOLLS_LNK_MODIFY}" title="{'mypolls_list_lnk_modify_parent'|@translate}">
    <img src="{$themeconf.admin_icon_dir}/category_edit.png" class="button" alt="{'mypolls_list_lnk_modify_parent'|@translate}"/></a>
  </div>
  <i>{'mypolls_cm_stars_are_needed'|@translate}</i>
</div>


<form method="post" action="" class="general" name="ftranslate_form">

  <fieldset>
    <legend>{'mypolls_trans_fromto'|@translate}</legend>
      <table class="formtable">
        <tr>
          <td>
            <label>{'mypolls_trans_from'|@translate}
              <input type="hidden" name="fmypolls_trans_from" id="ilangfrom" value="{$datas.MYPOLLS_TRANS_FROM}">
              <select disabled>
                <option selected>{$datas.MYPOLLS_TRANS_FROM_TEXT}</option>
              </select>
            </label>
          </td>
          <td width="20px">&nbsp;</td>

          <td>
            <label>{'mypolls_trans_to'|@translate}
              <input type="hidden" name="fmypolls_trans_to" id="ilangto" value="">
              <select {$datas.MYPOLLS_LANG_DISABLED} onchange="change_lang();" id="islangto">
                {html_options values=$mypolls_langto_list_values output=$mypolls_langto_list_labels selected=$mypolls_langto_selected}
              </select>
          </td>
        </tr>
      </table>
    
  </fieldset>


  <fieldset class="formtable">
    <legend>{'mypolls_cm_nfo'|@translate}</legend>
      <ul>
        <li>{'mypolls_att_title'|@translate}<sup style="color:rgb(255,255,0)">*</sup>
          <p>{$datas.MYPOLLS_ATT_TITLE}&nbsp;</p>
          <p>
            <input type="text" name="fmypolls_att_tto_title" id="ititle"
                   value="{$datas.MYPOLLS_ATT_TTO_TITLE}" maxlength=250 size=80 
                   onkeyup="enabled_submit()" 
                   onblur="enabled_submit()">
            <input type="button" name="bttranslate" onclick="do_translation('ititle');" value="{'mypolls_auto_translate'|@translate}">
          </p>
        </li>
        <li>{'mypolls_att_description'|@translate}
          <p>{$datas.MYPOLLS_ATT_DESCRIPTION}&nbsp;</p>
          <p>
            <textarea name="fmypolls_att_tto_description" id="itto_description" rows=6 cols=80>{$datas.MYPOLLS_ATT_TTO_DESCRIPTION}
            </textarea>
            <input type="button" name="bttranslate" onclick="do_translation('itto_description');" value="{'mypolls_auto_translate'|@translate}">
          </p>
        </li>

        <li>{'mypolls_att_after_vote_text'|@translate}
          <p>{$datas.MYPOLLS_ATT_AFTER_VOTE_TEXT}&nbsp;</p>
          <p>
            <textarea name="fmypolls_att_tto_after_vote_text" id="itto_after_vote_text" rows=6 cols=80>{$datas.MYPOLLS_ATT_TTO_AFTER_VOTE_TEXT}
            </textarea>
            <input type="button" name="bttranslate" onclick="do_translation('itto_after_vote_text');" value="{'mypolls_auto_translate'|@translate}">
          </p>
        </li>
      </ul>
  </fieldset>


  {if isset($questions) and count($questions)}
    {foreach from=$questions key=name item=question}
      <fieldset class="formtable">
        <legend>{'mypolls_cm_question'|@translate} #{$question.NUMQUESTION}</legend>
          <ul>
            <li>{'mypolls_cm_question'|@translate}
              <p>{$question.DESCRIPTION}&nbsp;</p>
              <p>
                <textarea name="fmypolls_att_tto_qdescription_{$question.IDQUESTION}"
                          id="itto_qdescription_{$question.IDQUESTION}"
                          rows=6 cols=80>{$question.TTO_DESCRIPTION}
                </textarea>
                <input type="button" name="bttranslate" onclick="do_translation('itto_qdescription_{$question.IDQUESTION}');" value="{'mypolls_auto_translate'|@translate}">
              </p>
            </li>
            {foreach from=$question.answers key=name2 item=answer}
              <li>{'mypolls_cm_answer'|@translate} #{$answer.NUMANSWER}
                <p>{$answer.ANSWER}&nbsp;</p>
                <p>
                  <input type="text" name="fmypolls_att_tto_adescription_{$answer.IDANSWER}"
                        id="itto_adescription_{$answer.IDANSWER}"
                        value="{$answer.TTO_ANSWER}" maxlength=250 size=80>
                  <input type="button" name="bttranslate" onclick="do_translation('itto_adescription_{$answer.IDANSWER}');" value="{'mypolls_auto_translate'|@translate}">
                </p>
              </li>
            {/foreach}
          </ul>
      </fieldset>
    {/foreach}
  {/if}


  <input type="hidden" name="action" value="{$datas.MYPOLLS_ACTION}">
  <input type="hidden" name="fmypolls_att_id" value="{$datas.MYPOLLS_ATT_ID}">

  {if isset($datas.mypolls_add_translation) and $datas.mypolls_add_translation=='yes'}
    <p>
      <input type="submit" name="fmypolls_add_translation" id="isubmit1" value="{'mypolls_cmt_submit_add'|@translate}" >
    </p>
  {/if}

  {if isset($datas.mypolls_modify_translation) and $datas.mypolls_modify_translation=='yes'}
    <p>
      <input type="submit" name="fmypolls_modify_translation" id="isubmit1" value="{'mypolls_cmt_submit_modify'|@translate}" >
      <input type="submit" name="fmypolls_delete_translation" value="{'mypolls_cmt_submit_delete'|@translate}" >
    </p>
  {/if}


</form>

<script type="text/javascript">
  change_lang();
</script>
